Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::CSVToNewNodeIdMapping Class Reference

Map each row of the CSV file on a new node. More...

`#include <CSVGraphImport.h>`

Inheritance diagram for tlp::CSVToNewNodeIdMapping:
[legend]
Collaboration diagram for tlp::CSVToNewNodeIdMapping:
[legend]

List of all members.

## Public Member Functions

- CSVToNewNodeIdMapping (tlp::Graph *graph)
- void init (unsigned int rowNumber)
- std::pair< tlp::ElementType,
  unsigned int > getElementForRow (const std::vector< std::string > &tokens)

## Detailed Description

Map each row of the CSV file on a new node.

## Constructor & Destructor Documentation

tlp::CSVToNewNodeIdMapping::CSVToNewNodeIdMapping | ( | tlp::Graph * | graph | ) |

## Member Function Documentation

std::pair<tlp::ElementType,unsigned int> tlp::CSVToNewNodeIdMapping::getElementForRow | ( | const std::vector< std::string > & | tokens | ) | `[virtual]`

Implements tlp::CSVToGraphDataMapping.

void tlp::CSVToNewNodeIdMapping::init | ( | unsigned int | rowNumber | ) | `[virtual]`

Implements tlp::CSVToGraphDataMapping.

Tulip Software by LaBRI Visualization Team 2001 - 2012